For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet tax rate accounts
      • POSTCreate a new tax rate
      • GETGet a tax rate account by ID
      • DELDelete a tax rate
      • PATCHUpdate a tax rate
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementAccounting tax rates

Create a new tax rate

POST
/accounting_tax_rates
POST
/v1/accounting_tax_rates
$curl -X POST https://api.sandbox.monite.com/v1/accounting_tax_rates \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "code": "code",
6 "components": [
7 {
8 "is_compound": true,
9 "name": "name",
10 "rate": 1
11 }
12 ],
13 "description": "description",
14 "effective_tax_rate": 1,
15 "is_external": true,
16 "name": "name",
17 "status": "status",
18 "total_tax_rate": 1
19}
Create a new tax rate account
Was this page helpful?
Previous

Get a tax rate account by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
codestringOptional<=500 characters
Code for the tax rate from the accounting platform
descriptionstringOptional<=2048 characters
Description of the tax rate
effective_tax_rateintegerOptional0-10000
Effective tax rate in percent [minor units](https://docs.monite.com/references/currencies#minor-units). Example: 12.5% is 1250.
namestringOptional<=500 characters
Name of the tax rate

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The timestamp when the tax rate was created.
updated_atdatetime
The timestamp when the tax rate was last updated.
codestring
Code for the tax rate from the accounting platform.
componentslist of objects
descriptionstring
Description of the tax rate
effective_tax_rateinteger

Effective tax rate in percent minor units. Example: 12.5% is 1250.

is_externalbooleanDefaults to false
Whether the tax rate is from an external system
namestring
statusstring
total_tax_rateinteger

Total (not compounded) sum of the components of a tax rate in minor units. Example: 12.5% is 1250.

Errors

400
Post Accounting Tax Rates Request Bad Request Error
401
Post Accounting Tax Rates Request Unauthorized Error
403
Post Accounting Tax Rates Request Forbidden Error
422
Post Accounting Tax Rates Request Unprocessable Entity Error
500
Post Accounting Tax Rates Request Internal Server Error

Effective tax rate in percent minor units. Example: 12.5% is 1250.